$PackageName = 'alacritty.portable'
$Url64 = 'https://github.com/alacritty/alacritty/releases/download/v0.4.0-rc3/Alacritty-v0.4.0-rc3-windows-portable.zip'
$Checksum64 = '11a99a710e87363182f4d158646ec8855dd4b2ba5d0a1f098e37dffc355c255e1c724590fe0e6134cfa76b02bebb9b50e3373e70f0a2d11c271f8a014682bfdc'
$ChecksumType64 = 'sha512'
$ToolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$InstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$desktop = [System.Environment]::GetFolderPath("Desktop")

$PackageArgs = @{
	PackageName = $PackageName
	Url64 = $Url64
	Checksum64 = $Checksum64
	ChecksumType64 = $ChecksumType64
	UnzipLocation = $InstallDir
}
Install-ChocolateyZipPackage @PackageArgs

Install-BinFile alacritty -path "$InstallDir\alacritty.exe" -UseStart
Install-ChocolateyShortcut -ShortcutFilePath "$desktop\Alacritty.lnk" -TargetPath "$InstallDir\alacritty.exe" -WorkingDirectory "$InstallDir" -WindowStyle 1
